KUnitTest::TestResults Class Reference

`#include <tester.h>`

## Public Member Functions

virtual void | clear ()
virtual void | addDebugInfo (const QString &debug)
QString | debugInfo () const
int | testsFinished () const
int | errors () const
int | xfails () const
int | xpasses () const
int | skipped () const
int | passed () const
QStringList | errorList () const
QStringList | xfailList () const
QStringList | xpassList () const
QStringList | skipList () const
QStringList | successList () const

## Friends

class | Tester

## Detailed Description

A simple class that encapsulates a test result. A Tester class usually has a single TestResults instance associated with it, however the SlotTester class can have more TestResults instances (one for each test slot in fact).

Definition at line 432 of file tester.h.

## Member Function Documentation

virtual void KUnitTest::TestResults::addDebugInfo | ( | const QString & | debug | ) |

inline virtual

Add some debug info that can be view later. Normally you do not need to call this.

Parameters

  debug | The debug info.

Definition at line 457 of file tester.h.

virtual void KUnitTest::TestResults::clear | ( |  | ) |

inline virtual

Clears the test results and debug info. Normally you do not need to call this.

Definition at line 443 of file tester.h.

QString KUnitTest::TestResults::debugInfo | ( |  | ) | const

inline

Returns
  The debug info that was added to this Tester object.

Definition at line 464 of file tester.h.

QStringList KUnitTest::TestResults::errorList | ( |  | ) | const

inline

Returns
  Details about the failed tests.

Definition at line 485 of file tester.h.

int KUnitTest::TestResults::errors | ( |  | ) | const

inline

Returns
  The number of failed tests.

Definition at line 470 of file tester.h.

int KUnitTest::TestResults::passed | ( |  | ) | const

inline

Returns
  The number of passed tests.

Definition at line 482 of file tester.h.

QStringList KUnitTest::TestResults::skipList | ( |  | ) | const

inline

Returns
  Details about which tests were skipped.

Definition at line 494 of file tester.h.

int KUnitTest::TestResults::skipped | ( |  | ) | const

inline

Returns
  The number of skipped tests.

Definition at line 479 of file tester.h.

QStringList KUnitTest::TestResults::successList | ( |  | ) | const

inline

Returns
  Details about the succeeded tests.

Definition at line 497 of file tester.h.

int KUnitTest::TestResults::testsFinished | ( |  | ) | const

inline

Returns
  The number of finished tests.

Definition at line 467 of file tester.h.

QStringList KUnitTest::TestResults::xfailList | ( |  | ) | const

inline

Returns
  Details about tests that failed expectedly.

Definition at line 488 of file tester.h.

int KUnitTest::TestResults::xfails | ( |  | ) | const

inline

Returns
  The number of expected failures.

Definition at line 473 of file tester.h.

int KUnitTest::TestResults::xpasses | ( |  | ) | const

inline

Returns
  The number of unexpected successes.

Definition at line 476 of file tester.h.

QStringList KUnitTest::TestResults::xpassList | ( |  | ) | const

inline

Returns
  Details about tests that succeeded unexpectedly.

Definition at line 491 of file tester.h.

The documentation for this class was generated from the following file:

- tester.h

KDE Home | KDE Accessibility Home | Description of Access Keys